> For the complete documentation index, see [llms.txt](https://docs.snomed.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.snomed.org/snomed-international-documents/snomed-ct-glossary/f/fully-specified-name.md).

# fully specified name

## fully specified name

A description that represents the meaning of a concept in a way that is unambiguous and independent of the context in which it is used.

#### Notes

* *Fully specified names* are represented by *descriptions* with the typeId [900000000000003001 | Fully specified name|](http://snomed.info/id/900000000000003001) .
* Every concept must have at least one active *fully specified name.*
* Language reference sets must include a single preferred *fully specified name* for each concept in a language context.
* The US English *fully specified name* is the point of reference for the meaning of concepts in the SNOMED CT International Edition. For concepts that are part of an extension, the preferred *fully specified name* in a language specified by that *extension* may be the point of reference.

## Alternatives

* **FSN**

##

<a href="https://docs.google.com/forms/d/e/1FAIpQLScTmbZIf0UEQwYDkY27EEWBkaiYkHSbR0_9DmFrMLXoQLyL7Q/viewform?usp=pp_url&#x26;entry.1767247133=SNOMED+Glossary&#x26;entry.670899847=fully%20specified%20name" class="button primary">Provide Feedback</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.snomed.org/snomed-international-documents/snomed-ct-glossary/f/fully-specified-name.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
